Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.ofd.OFDPage Class Reference
Inheritance diagram for foxit.addon.ofd.OFDPage:

## Public Member Functions
| OFDPage ()
| Constructor.
| OFDPage (OFDPage other)
| Constructor, with another OFD page object.
Matrix2D | GetDisplayMatrix (int left, int top, int width, int height, Rotation rotate)
| Get display matrix. More...
float | GetHeight ()
| Get page height (unit is 1/72 inch). More...
float | GetWidth ()
| Get page width (unit is 1/72 inch). More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | Release ()
| Release current OFD page object. More...

## Detailed Description

This class is used to get information of an OFD page. Please ensure common.Library.InitializeOFDEngine has been called successfully before using this class.

See also
  foxit.common.Library

## Member Function Documentation

## ◆ GetDisplayMatrix()

Matrix2D foxit.addon.ofd.OFDPage.GetDisplayMatrix | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height,
|  | Rotation | rotate
| ) |  |
| inline

Get display matrix.

This function is used to get a matrix for displaying the page.

Parameters

  [in] | left | Left position of the display area.
  [in] | top | Top position of the display area.
  [in] | width | Width of the display area.
  [in] | height | Height of the display area.
  [in] | rotate | Rotation of the display area. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values.

Returns
  A matrix for displaying the page.

## ◆ GetHeight()

float foxit.addon.ofd.OFDPage.GetHeight | ( |  | ) |
| inline

Get page height (unit is 1/72 inch).

Returns
  Page height.

## ◆ GetWidth()

float foxit.addon.ofd.OFDPage.GetWidth | ( |  | ) |
| inline

Get page width (unit is 1/72 inch).

Returns
  Page width.

## ◆ IsEmpty()

bool foxit.addon.ofd.OFDPage.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Release()

void foxit.addon.ofd.OFDPage.Release | ( |  | ) |
| inline

Release current OFD page object.

Please call this function before common.Library.ReleaseOFDEngine to release current OFD page object.

Returns
  None.